MarcXmlFilter (marc4j)
Keywords: org.marc4j.marcxml.MarcXmlFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.marc4j.marcxml
Class MarcXmlFilter

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          org.marc4j.marcxml.ExtendedFilter
              org.marc4j.marcxml.MarcXmlFilter

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, LexicalHandler, MarcHandler, XMLFilter, XMLReader

Deprecated. This class has been replaced by `MarcXmlReader`

public class MarcXmlFilter
extends ExtendedFilter
implements MarcHandler

`MarcXmlFilter` is an `XMLFilter` that consumes `MarcHandler` events and reports events to a SAX2 `ContentHandler`.

Version:
  $Revision: 1.4 $
Author:
  Bas Peters
See Also:
  `ExtendedFilter`, `MarcHandler`, `ContentHandler`

Field Summary

Fields inherited from class org.marc4j.marcxml.ExtendedFilter
`lh`

Constructor Summary
`MarcXmlFilter()` Deprecated.

Method Summary
`void` | `controlField(String tag, char[] data)` Deprecated. Reports a control field node (001-009).
`void` | `endCollection()` Deprecated. Reports the closing element for the root, reports the end of the prefix mapping and the end a document.
`void` | `endDataField(String tag)` Deprecated. Reports the closing element for a data field.
`void` | `endRecord()` Deprecated. Reports the closing element for a record.
`void` | `parse(InputSource input)` Deprecated. Sends the input source to the `MarcReader`.
`void` | `setFeature(String name, boolean value)` Deprecated. Sets the boolean for the feature with the given name.
`void` | `setProperty(String name, Object obj)` Deprecated. Sets the object for the given property.
`void` | `startCollection()` Deprecated. Returns the document handler being used, starts the document and reports the root element.
`void` | `startDataField(String tag, char ind1, char ind2)` Deprecated. Reports the starting element for a data field (010-999).
`void` | `startRecord(Leader leader)` Deprecated. Reports the starting element for a record and the leader node.
`void` | `subfield(char code, char[] data)` Deprecated. Reports a subfield node.

Methods inherited from class org.marc4j.marcxml.ExtendedFilter
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setParent, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MarcXmlFilter

    public MarcXmlFilter()

  Deprecated.

Method Detail

### setProperty

    public void setProperty(String name,
                            Object obj)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  Deprecated.

  Sets the object for the given property.

  Specified by:
    `setProperty` in interface `XMLReader`
  Overrides:
    `setProperty` in class `ExtendedFilter`
  Parameters:
    `name` - the property name
    `obj` - the property object
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### setFeature

    public void setFeature(String name,
                           boolean value)
                    throws SAXNotRecognizedException,
                           SAXNotSupportedException

  Deprecated.

  Sets the boolean for the feature with the given name.

  Specified by:
    `setFeature` in interface `XMLReader`
  Parameters:
    `name` - the name of the feature
    `value` - the boolean value
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### parse

    public void parse(InputSource input)

  Deprecated.

  Sends the input source to the `MarcReader`.

  Specified by:
    `parse` in interface `XMLReader`
  Parameters:
    `input` - the `InputSource`

### startCollection

    public void startCollection()

  Deprecated.

  Returns the document handler being used, starts the document and reports the root element.

  Specified by:
    `startCollection` in interface `MarcHandler`

### startRecord

    public void startRecord(Leader leader)

  Deprecated.

  Reports the starting element for a record and the leader node.

  Specified by:
    `startRecord` in interface `MarcHandler`
  Parameters:
    `leader` - the leader

### controlField

    public void controlField(String tag,
                             char[] data)

  Deprecated.

  Reports a control field node (001-009).

  Specified by:
    `controlField` in interface `MarcHandler`
  Parameters:
    `tag` - the tag name
    `data` - the data element

### startDataField

    public void startDataField(String tag,
                               char ind1,
                               char ind2)

  Deprecated.

  Reports the starting element for a data field (010-999).

  Specified by:
    `startDataField` in interface `MarcHandler`
  Parameters:
    `tag` - the tag name
    `ind1` - the first indicator value
    `ind2` - the second indicator value

### subfield

    public void subfield(char code,
                         char[] data)

  Deprecated.

  Reports a subfield node.

  Specified by:
    `subfield` in interface `MarcHandler`
  Parameters:
    `code` - the data element identifier
    `data` - the data element

### endDataField

    public void endDataField(String tag)

  Deprecated.

  Reports the closing element for a data field.

  Specified by:
    `endDataField` in interface `MarcHandler`
  Parameters:
    `tag` - the tag name

### endRecord

    public void endRecord()

  Deprecated.

  Reports the closing element for a record.

  Specified by:
    `endRecord` in interface `MarcHandler`

### endCollection

    public void endCollection()

  Deprecated.

  Reports the closing element for the root, reports the end of the prefix mapping and the end a document.

  Specified by:
    `endCollection` in interface `MarcHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Bas Peters. All Rights Reserved.